#include "src/class/monster.hpp"

Monster::Monster(std::string monsterName)
    : Character(monsterName)
{
    bounty = 0;
}

Monster::Monster(std::string monsterName, int monsterMaxHP, int monsterAtk, int monsterDef)
    : Character(monsterName, monsterMaxHP, monsterAtk, monsterDef)
{
    bounty = 0;
}

Monster::Monster(std::string monsterName, int monsterMaxHP, int monsterAtk, int monsterDef, int monsterBounty)
    : Character(monsterName, monsterMaxHP, monsterAtk, monsterDef)
{
    bounty = monsterBounty;
}

int Monster::getBounty()
{
    return bounty;
}