#include "src/interface/info.hpp"

#include <iostream>

void Info::ofCharacter(Character *character)
{
    std::cout << "Name: " << character->getName() << "\n"
              << "  HP : " << character->getCurrentHP() << "/" << character->getMaxHP() << "\n"
              << "  Atk: " << character->getAtk() << "\n"
              << "  Def: " << character->getDef() << std::endl;
}

void Info::ofPlayer(Player *player)
{
    std::cout << "Name: " << player->getName() << "\n"
              << "  Lvl: " << player->getLevel() << "\n"
              << "    Experience: " << player->getExp() << "\n"
              << "    to LevelUp: " << player->expToLevelUp() << "\n"
              << "  HP : " << player->getCurrentHP() << "/" << player->getMaxHP() << "\n"
              << "  Atk: " << player->getAtk() << "\n"
              << "  Def: " << player->getDef() << std::endl;
}

void Info::ofMonster(Monster *monster)
{
    std::cout << "Name: " << monster->getName() << "\n"
              << "  HP  : " << monster->getCurrentHP() << "/" << monster->getMaxHP() << "\n"
              << "  Atk : " << monster->getAtk() << "\n"
              << "  Def : " << monster->getDef() << "\n"
              << "  Drop: " << monster->getBounty() << std::endl;
}

void Info::ofApplication()
{
    std::cout << "=================================\n"
              << "========== HackTheGame ==========\n"
              << "=================================\n"
              << "This stupid app is developed for \n"
              << "CTF @GKSK2019 that was held on   \n"
              << "16 Feb 2019 as a playground for  \n"
              << "Kelompok Studi Linux Members of  \n"
              << "STMIK STIKOM Bali->              \n"
              << "Developed by:                    \n"
              << "   myitinos                      \n"
              << "                                 \n"
              << "Thanks for Playing !!!           \n"
              << "=================================\n"
              << std::endl;
}