#ifndef HACKTHEGAME_CHARACTER_HPP
#define HACKTHEGAME_CHARACTER_HPP

#include <string>

class Character
{
  protected:
    std::string name;

    int maxHP;
    int currentHP;

    int atk;
    int def;

  public:
    Character(std::string characterName);
    Character(std::string characterName, int characterMaxHP, int characterAtk, int characterDef);

    bool isDead();
    bool isAlive();

    std::string getName();

    void restoreHP();
    int getCurrentHP();
    int getMaxHP();

    int getDef();
    int getAtk();

    int defend(int dmg);
};

#endif