#ifndef HACKTHEGAME_PLAYER_HPP
#define HACKTHEGAME_PLAYER_HPP

#define PLAYER_MAX_LEVEL 1000
#define PLAYER_MAX_EXPERIENCE 9999999

#include "src/class/character.hpp"

class Player : public Character
{
  protected:
    int experience;
    int level;

  public:
    Player(std::string playerName);
    Player(std::string playerName, int playerMaxHP, int playerAtt, int playerDef, int playerLevel, int playerExp);

    int getLevel();
    int getExp();
    int expToLevelUp();
    int takeExperience(int drop);

    bool checkLevelup();
    void levelUp();
};

#endif